# -*- coding: utf-8 -*-

from common.mod import Mod
import client.extraClientApi as clientApi
from testEffectsScript.effectsConst import ModVersion, ModName, ClientSystemName, ClientSystemClsPath
from mod_log import logger

@Mod.Binding(name=ModName, version=ModVersion)
class NeteaseEffectsClient(object):
	@Mod.InitClient()
	def EffectsClientInit(self):
		logger.info("%s initClient", ModName)
		clientApi.RegisterSystem(ModName, ClientSystemName, ClientSystemClsPath)

	@Mod.DestroyClient()
	def EffectsClientDestroy(self):
		logger.info("%s destroyClient", ModName)