# -*- coding: utf-8 -*-

from common.mod import Mod
import client.extraClientApi as clientApi
from testModelScript.modelConst import ModVersion, ModName, ClientSystemName, ClientSystemClsPath
from mod_log import logger

@Mod.Binding(name=ModName, version=ModVersion)
class NeteaseModelClient(object):
	@Mod.InitClient()
	def ModelClientInit(self):
		logger.info("%s initClient", ModName)
		clientApi.RegisterSystem(ModName, ClientSystemName, ClientSystemClsPath)

	@Mod.DestroyClient()
	def ModelClientDestroy(self):
		logger.info("%s destroyClient", ModName)