# -*- coding: utf-8 -*-

from common.mod import Mod
import client.extraClientApi as clientApi
from testItemScript.itemConst import ModVersion, ModName, ClientSystemName, ClientSystemClsPath
from mod_log import logger

@Mod.Binding(name=ModName, version=ModVersion)
class NeteaseItemClient(object):
	@Mod.InitClient()
	def ItemClientInit(self):
		logger.info("%s initClient", ModName)
		clientApi.RegisterSystem(ModName, ClientSystemName, ClientSystemClsPath)

	@Mod.DestroyClient()
	def ItemClientDestroy(self):
		logger.info("%s destroyClient", ModName)